/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
import { cx, getStyles } from "../../styles/styler.js";
import { DividerCore } from "./DividerCore.js";
import { forwardRef, useMemo } from "react";
import { jsx } from "react/jsx-runtime";
//#region src/components/Divider/DividerInternal.tsx
const DividerInternal = forwardRef(function Divider({ variant = "primary", slotProps, ...props }, ref) {
	return /* @__PURE__ */ jsx(DividerCore, {
		ref,
		slotProps: useMemo(() => ({
			root: {
				...slotProps?.root,
				className: cx(variant !== "inherit" && getStyles({ dividerVariantRoot: variant }), slotProps?.root?.className)
			},
			label: {
				...slotProps?.label,
				className: cx(variant !== "inherit" ? getStyles({ dividerVariantLabel: variant }) : void 0, slotProps?.label?.className)
			},
			line: {
				...slotProps?.line,
				className: cx(variant !== "inherit" && getStyles({ dividerVariantLine: variant }), slotProps?.line?.className)
			}
		}), [slotProps, variant]),
		...props
	});
});
DividerInternal.displayName = "DividerInternal";
//#endregion
export { DividerInternal };
